Skip to navigation

Get a template, any type. [Experimental]

View as Markdown
Retrieve the details of a template using its id.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

templateIdstringRequiredformat: "uuid"

The Universally Unique Identifier (UUID) of the template.

Response

Executed successfully.
metaobject
runnableobjectOptional
whether the template can be submitted, as is
specobjectOptional
assetsobjectOptional
masterSpecSameAsWorkerbooleanOptional
used for distributed workloads to indicate that the master spec should be the same as the worker spec. in this case, masterSpec should not be specified.
masterobjectOptional
combinedSpecobjectOptional
combinedMasterSpecobjectOptional
complianceIssueslist of objectsOptional
A list of issues preventing the use of a template or asset for creating workloads in a given project.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error